org.gnome.gtk

## Class Align

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.Align

-     public final class Align
      extends org.freedesktop.bindings.Constant

  Constants referring to the positioning of a Widget in its parent Container. See `setAlignHorizontal()`.
  Since:
    4.1.1
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Align` | `CENTER` Position in the middle of the parent allocation.
    `static Align` | `END` Bottom or Right.
    `static Align` | `FILL` Expand to fill available space.
    `static Align` | `START` Top or Left.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final Align CENTER

      Position in the middle of the parent allocation.
      Since:
        4.1.1

    - #### END

          public static final Align END

      Bottom or Right.
      Since:
        4.1.1

    - #### FILL

          public static final Align FILL

      Expand to fill available space. This is the default behaviour.
      Since:
        4.1.1

    - #### START

          public static final Align START

      Top or Left.
      Since:
        4.1.1